Установка php5-cURL в Backtrack приводит к проблемам с зависимостями

Я пытаюсь установить программу под названием Glype на моем компьютере для прокси. Я использую Backtrack 5 R3, и у меня установлена ​​последняя версия Apache. Проблема в том, что Glype требует cURL для запуска, и когда я пытаюсь установить cURL, используя: «apt-get install php5-curl», отображается ошибка. В нем говорится:

Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: php5-curl: Depends: php5-common (= 5.3.2-1ubuntu4.9) but 5.3.2-1ubuntu4.17 is to be installed 

Так есть способ, которым я могу установить его без каких-либо ошибок?

One Solution collect form web for “Установка php5-cURL в Backtrack приводит к проблемам с зависимостями”

Хранилища Backtrack больше не поддерживаются (на самом деле это пакеты из версии Ubuntu 11.10), поэтому неудивительно, что у вас проблемы с зависимостями.

Лучшее решение меняется с BackTrack на Kali Linux , который теперь поддерживается распределением. В этом вы можете подтвердить, что все пакеты доступны и обновлены из стабильных хранилищ Debian:

 $ apt-cache show php5-curl
 Пакет: php5-curl
 Источник: php5
 Версия: 5.4.4-14 + deb7u2
 Установленный-размер: 112
 Сопровождающий: Хранители PHP Debian 
 Архитектура: i386
 Зависит от: libc6 (> = 2.4), libcurl3 (> = 7.16.2), phpapi-20100525 + lfs, php5-common (= 5.4.4-14 + deb7u2), ucf
 Предварительные зависимости: dpkg (> = 1.15.7.2 ~)
 $ apt-cache policy php5-curl
 php5-ротор:
   Установлено: (нет)
   Кандидат: 5.5.1 + dfsg-2
   Таблица версий:
      5.4.4-14 + deb7u2 0
         500 http://http.kali.org/kali/ kali / main i386 Пакеты
 $ apt-cache policy php5-common
 php5-общее:
   Установлено: (нет)
   Кандидат: 5.5.1 + dfsg-2
   Таблица версий:
      5.4.4-14 + deb7u2 0
         500 http://http.kali.org/kali/ kali / main i386 Пакеты

Как вы заметили, хранилища Kali не имеют проблем с зависимостями.

Linux и Unix - лучшая ОС в мире.